Whitelist a company wallet
curl --request POST \
--url https://api-fundflow.venly.io/v1/company-wallets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
"description": "Main treasury wallet"
}
'import requests
url = "https://api-fundflow.venly.io/v1/company-wallets"
payload = {
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
"description": "Main treasury wallet"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address: '0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb',
description: 'Main treasury wallet'
})
};
fetch('https://api-fundflow.venly.io/v1/company-wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"result": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"address": "<string>",
"verifiedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"version": 123
}
}{
"success": false,
"errors": [
{
"code": "validation-error",
"message": "A descriptive error message"
}
]
}{
"success": false,
"errors": [
{
"code": "UNAUTHORIZED",
"message": "Access is denied."
}
]
}{
"success": false,
"errors": [
{
"code": "FORBIDDEN",
"message": "User doesn't have proper authority to access this resource"
}
]
}{
"success": false,
"errors": [
{
"code": "NOT_FOUND"
}
]
}{
"success": false,
"errors": [
{
"code": "METHOD_NOT_SUPPORTED",
"message": "HttpMethod is not supported. Supported methods are [..]"
}
]
}{
"success": false,
"errors": [
{
"code": "INVALID_MEDIA_TYPE"
}
]
}{
"success": false,
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"message": "A description of the error (optional)"
}
]
}Company Wallets
Whitelist a company wallet
Register a company crypto wallet for use in ramp requests.
POST
/
v1
/
company-wallets
Whitelist a company wallet
Registers a new company wallet in
PENDING status. To verify ownership, send 1 USDC from the wallet to the deposit address returned by Get deposit wallets.
Concept guide: Account management
New wallets start as
PENDING and must be verified before use. Never share private keys or seed phrases — only the wallet address is required.Authorizations
OAuth2 authentication via Venly Identity Platform
Body
application/json
Request to register a new cryptocurrency wallet for the company
The blockchain wallet address
Maximum string length:
255Example:
"0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb"
The blockchain network for this wallet
Available options:
ETHEREUM, POLYGON, BASE, ARBITRUM, SUI Optional description for the wallet
Maximum string length:
500Example:
"Main treasury wallet"
Was this page helpful?
⌘I

